USE COWS
GO
/*
MDS_EVENT_MNS
*/

INSERT INTO dbo.MDS_EVENT_MNS
(	FSA_MDS_EVENT_ID,
	MNS_FTN_NBR,
	MDS_SRVC_TIER_ID,
	MDS_ENTLMNT_ID,
	ORDR_ID,
	TAB_SEQ_NBR
)
Select	Distinct fmds.FSA_MDS_EVENT_ID,
		FTN AS MNS_FTN_NBR, -- Does FTN correspond to MNS_FTN_NBR ??
		MDS_SRVC_TIER_ID,
		MDS_ENTLMNT_ID,
		ORDR_ID,
		TAB_SEQ_NBR -- FSA_MDS_Event.TAB_SQL_NBR ??
	From	dbo.MDS_EVENT_MNS_OE mnsoe WITH (NOLOCK)
Inner Join	dbo.FSA_MDS_EVENT fmds with (nolock) on fmds.FSA_MDS_EVENT_ID = mnsoe.FSA_MDS_EVENT_ID		
	Where	ISNULL(mnsoe.FTN,0) != 0
		OR	ISNULL(mnsoe.MDS_SRVC_TIER_ID,0) != 0
		OR	ISNULL(mnsoe.MDS_ENTLMNT_ID,0) != 0
	Order by fmds.FSA_MDS_EVENT_ID